### Class

# Meta LogicalMonitor

#### Description [src]

    final class Meta.LogicalMonitor : GObject.Object
    {
      /* No available fields */
    }

An abstraction for a monitor(set) and its configuration.

A logical monitor is a group of one or more physical monitors that must behave and be treated as single one. This happens, for example, when 2 monitors are mirrored. Each physical monitor is represented by a `MetaMonitor`.

`MetaLogicalMonitor` has a single viewport, with its owns transformations (such as scaling), that are applied to all the `MetaMonitor`s that are grouped by it.

`MetaLogicalMonitor` provides an abstraction that makes it easy to handle the specifics of setting up different `MetaMonitor`s. It then can be used more easily by `MetaRendererView`.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### meta_logical_monitor_get_monitors

Returns the list of `MetaMonitor`s.

###### meta_logical_monitor_get_number

Returns the `MetaMonitor`s number which is compatible with the monitor API on `MetaDisplay` until the next monitors-changed.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaLogicalMonitorClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.